VERSION 5.00
Begin VB.Form frmSysFontSize 
   Caption         =   "System Font Size"
   ClientHeight    =   465
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   3885
   BeginProperty Font 
      Name            =   "Tahoma"
      Size            =   8.25
      Charset         =   0
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   LinkTopic       =   "Form1"
   ScaleHeight     =   465
   ScaleWidth      =   3885
   StartUpPosition =   3  'Windows Default
   Begin VB.Label lblMessage 
      Caption         =   "lblMessage"
      Height          =   285
      Left            =   45
      TabIndex        =   0
      Top             =   90
      Width           =   3750
   End
End
Attribute VB_Name = "frmSysFontSize"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

'** TYPES **
Private Type TEXTMETRIC
    tmHeight As Integer
    tmAscent As Integer
    tmDescent As Integer
    tmInternalLeading As Integer
    tmExternalLeading As Integer
    tmAveCharWidth As Integer
    tmMaxCharWidth As Integer
    tmWeight As Integer
    tmItalic As String * 1
    tmUnderlined As String * 1
    tmStruckOut As String * 1
    tmFirstChar As String * 1
    tmLastChar As String * 1
    tmDefaultChar As String * 1
    tmBreakChar As String * 1
    tmPitchAndFamily As String * 1
    tmCharSet As String * 1
    tmOverhang As Integer
    tmDigitizedAspectX As Integer
    tmDigitizedAspectY As Integer
End Type
  
'** Win32 API DECLARATIONS **
Private Declare Function GetTextMetrics Lib "gdi32" Alias "GetTextMetricsA" _
    (ByVal hdc As Long, lpMetrics As TEXTMETRIC) As Long
Private Declare Function GetDesktopWindow Lib "user32" () As Long
Private Declare Function GetWindowDC Lib "user32" (ByVal hwnd As Long) As Long
Private Declare Function ReleaseDC Lib "user32" (ByVal hwnd As Long, ByVal hdc _
    As Long) As Long
Private Declare Function SetMapMode Lib "gdi32" (ByVal hdc As Long, ByVal _
    nMapMode As Long) As Long

'** CONSTANTS **
Const MM_TEXT = 1

'** Function **
Public Function gbl_GetFontRes$()
    Dim hdc, hwnd, PrevMapMode As Long
    Dim tm As TEXTMETRIC
    
    ' Set the default return value to small fonts
    gbl_GetFontRes$ = "Small"
    ' Get the handle of the desktop window
    hwnd = GetDesktopWindow()
    ' Get the device context for the desktop
    hdc = GetWindowDC(hwnd)
    
    If hdc Then       ' Set the mapping mode to pixels
        PrevMapMode = SetMapMode(hdc, MM_TEXT)
        ' Get the size of the system font
        GetTextMetrics hdc, tm
        ' Set the mapping mode back to what it was
        PrevMapMode = SetMapMode(hdc, PrevMapMode)
        ' Release the device context
        ReleaseDC hwnd, hdc
        ' If the system font is more than 16 pixels high,
        ' then large fonts are being used
        If tm.tmHeight > 16 Then gbl_GetFontRes$ = "Large"
    End If
End Function
Private Sub Form_Load()
    lblMessage.Caption = "Your system is using " & gbl_GetFontRes$ & " fonts."
End Sub


